#
# spec file for package zsnes (Version 1.31b)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa audiofile esound kdelibs-artsd libpng nasm recode xf86
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kdelibs-artsd less libpng libtool libz m4 make man mktemp modutils nasm ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline recode rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         zsnes
Copyright:    GPL
Group:        Applications/Emulators
#Requires:     xforms
Autoreqprov:  on
Version:      1.31b
Release:      97
Summary:      highly optimized SNES emulator
Source: zsnes131bsrc.tar.bz2
Patch:  zsnes.dif

%description
ZSNES is an SNES emulator written almost entirely in assembler. It offers
good compatibility, many features and an easy to use user interface.

Authors:
--------
    zsKnight <zsknight@zsnes.com>
    _Demo_ <z_demo_z@users.sourceforge.net>
    Christophe "teuf" Fergeau
    Steven "relnev" Fuller
    Andrew "prometheus" Henderson
    Dan "theoddone33" Olson
    Shawn "EvilTypeGuy" Walker
    Aaron Lehmann
    Mitchell "The Khan Artist" Mebane

SuSE series: emu

%prep
%setup -n zsnes
%patch
for i in `find . -type f`
do
	recode ibmpc..lat1 $i || true
done

%build
cd src
export RPM_OPT_FLAGS
make -f makefile.linux
strip zsnes

%install
cd src
install -m 755 zsnes /usr/X11R6/bin
install -m 644 linux/zsnes.man %{_mandir}/man1/zsnes.1

%files
%doc *.txt linux/*
/usr/X11R6/bin/zsnes
%doc %{_mandir}/man1/zsnes.1.gz

%changelog -n zsnes
* Fri Aug 10 2001 - uli@suse.de
- update -> 1.31b
* Wed Aug 08 2001 - ro@suse.de
- updated neededforbuild
* Mon Jul 02 2001 - uli@suse.de
- update -> 1.31
* Tue Jun 26 2001 - uli@suse.de
- update -> 1.30
* Thu Jun 21 2001 - ro@suse.de
- added kdelibs for artsd
* Thu May 31 2001 - uli@suse.de
- update -> 1.28
* Mon May 21 2001 - uli@suse.de
- initial package
